JWNLAlignment.WordNetMatrixMeasure (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.ling
Class JWNLAlignment.WordNetMatrixMeasure

    java.lang.Object
      fr.inrialpes.exmo.align.impl.MatrixMeasure
          fr.inrialpes.exmo.align.ling.JWNLAlignment.WordNetMatrixMeasure

All Implemented Interfaces:
  Similarity

Enclosing class:
  JWNLAlignment

    protected class JWNLAlignment.WordNetMatrixMeasure

extends MatrixMeasure

Field Summary
`protected fr.inrialpes.exmo.ontosim.string.JWNLDistances` | `Dist`
`protected int` | `method`

Fields inherited from class fr.inrialpes.exmo.align.impl.MatrixMeasure
`classlist1, classlist2, clmatrix, i, indlist1, indlist2, indmatrix, j, l1, l2, nbclass1, nbclass2, nbind1, nbind2, nbprop1, nbprop2, onto1, onto2, prmatrix, proplist1, proplist2`

Constructor Summary
`JWNLAlignment.WordNetMatrixMeasure()`

Method Summary
`double` | `classMeasure(Object cl1, Object cl2)`
`double` | `individualMeasure(Object id1, Object id2)`
`void` | `init()`
`void` | `init(String wndict)`
`void` | `init(String wndict, String wnvers)`
`void` | `init(String wndict, String wnvers, int simFunction)`
`double` | `measure(Object o1, Object o2)`
`double` | `propertyMeasure(Object pr1, Object pr2)`

Methods inherited from class fr.inrialpes.exmo.align.impl.MatrixMeasure
`compute, getClassSimilarity, getIndividualSimilarity, getPropertySimilarity, initialize, initialize, printClassSimilarityMatrix, printIndividualSimilarityMatrix, printPropertySimilarityMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Dist

    protected fr.inrialpes.exmo.ontosim.string.JWNLDistances Dist

### method

    protected int method

Constructor Detail

### JWNLAlignment.WordNetMatrixMeasure

    public JWNLAlignment.WordNetMatrixMeasure()

Method Detail

### init

    public void init()
              throws AlignmentException

  Throws:
    `AlignmentException`

### init

    public void init(String wndict)
              throws AlignmentException

  Throws:
    `AlignmentException`

### init

    public void init(String wndict,
                     String wnvers)
              throws AlignmentException

  Throws:
    `AlignmentException`

### init

    public void init(String wndict,
                     String wnvers,
                     int simFunction)
              throws AlignmentException

  Throws:
    `AlignmentException`

### measure

    public double measure(Object o1,
                          Object o2)
                   throws Exception

  Throws:
    `Exception`

### classMeasure

    public double classMeasure(Object cl1,
                               Object cl2)
                        throws Exception

  Throws:
    `Exception`

### propertyMeasure

    public double propertyMeasure(Object pr1,
                                  Object pr2)
                           throws Exception

  Throws:
    `Exception`

### individualMeasure

    public double individualMeasure(Object id1,
                                    Object id2)
                             throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010